MailcrateDocs
Sender identities

Add a sender identity

POST
/public/sender-identity

Requires the sender-identity:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Request Body

application/json
  1. body
name*string
Lengthlength <= 200
email*string
Formatemail
sendingDomainId*string
Formatuuid

Response Body

application/json
  1. response
id*string
name*string
email*string
status*string
Value in"failed""pending""verified"
created*string
Formatdate-time
updated*string
Formatdate-time
sendingDomainId*string
lastVerificationCheck?string
Formatdate-time
Example Request
curl -X POST 'https://api.mailcrate.io/public/sender-identity' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "email": "user@example.com",  "sendingDomainId": "42ab023d-69c4-4d9b-b14e-a770c1291b5c"}'
Example Response
{  "id": "string",  "name": "string",  "email": "string",  "status": "failed",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z",  "sendingDomainId": "string",  "lastVerificationCheck": "2019-08-24T14:15:22Z"}